<?php
namespace App\Galileo\StructureParser\Structures\RefundRaw;

class Passengers extends \App\Galileo\StructureParser\Structures\Base\Passengers
{
	protected function _getData()
	{
		list($parsedStructure, , ) = $this->getTransactionDetails();

		$passengers = new \App\Galileo\StructureParser\Types\Passengers();

		$item = new \App\Galileo\StructureParser\Types\Passenger();

		$item->firstName = 	$parsedStructure['A02'][0]['A02']['A02NME_']['firstname'];
		$item->lastName = 	$parsedStructure['A02'][0]['A02']['A02NME_']['lastname'];
		$item->type = 		$parsedStructure['A02'][0]['A02']['A02PIC_']['type'];
		$item->title = 		$parsedStructure['A02'][0]['A02']['A02NME_']['title'];

		$passengers->append($item);

		return $passengers;
	}
}
